Skip to navigation

Get Count of Orders

Gets an array of orders in the store organized by order status.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

min_idintegerOptional
The minimum order ID.
max_idintegerOptional
The maximum order ID.
min_totalfloatOptional
The minimum order total in floating point format. eg. 12.50
max_totaldoubleOptional
The maximum order total in floating point format. eg. 12.50
customer_idintegerOptional
Customer ID.
emailstringOptional
The email of the customer.
status_idintegerOptional

The status ID of the order. You can get the status id from the /orders endpoints.

cart_idstringOptional
The cart ID of the order.
payment_methodstringOptional

The display name of the payment method used on the order. For example, Manual, Credit Card, cash, Test Payment Gateway, etc.’

min_date_createdstringOptional

Minimum date the order was created in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

max_date_createdstringOptional

Maximum date the order was created in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

min_date_modifiedstringOptional

Minimum date the order was modified in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

max_date_modifiedstringOptional

Maximum date the order was modified in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

channel_idintegerOptional
The channel ID of the sales channel the shopper used to place the order.
external_order_idstringOptional
The order ID in another system, such as the Amazon Order ID if this is an Amazon order. After setting it, you can update this field using a POST or PUT request.

Response

Order Counter response collection.
statuseslist of objectsOptional
countdoubleOptional
Total number of orders in the store.